
/**
 * Please modify this class to meet your needs
 * This class is not complete
 */

package eshopcxfservice;

import java.util.logging.Logger;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-04-11T12:12:05.774+02:00
 * Generated source version: 3.4.3
 *
 */

@javax.jws.WebService(
                      serviceName = "PropertySetterImplService",
                      portName = "PropertySetterImplPort",
                      targetNamespace = "http://eshopCXFService/",
                      wsdlLocation = "http://localhost:8080/eshopCXFService/wsdl/propertysetterimpl.wsdl",
                      endpointInterface = "eshopcxfservice.PropertySetter")

public class PropertySetterImplPortImpl implements PropertySetter {

    private static final Logger LOG = Logger.getLogger(PropertySetterImplPortImpl.class.getName());

    /* (non-Javadoc)
     * @see eshopcxfservice.PropertySetter#publishNewDescription(java.lang.String arg0, java.lang.String arg1)*
     */
    public boolean publishNewDescription(java.lang.String arg0, java.lang.String arg1) {
        LOG.info("Executing operation publishNewDescription");
        System.out.println(arg0);
        System.out.println(arg1);
        try {
            boolean _return = false;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
    }

    /* (non-Javadoc)
     * @see eshopcxfservice.PropertySetter#publishNewImageURL(java.lang.String arg0, java.lang.String arg1)*
     */
    public boolean publishNewImageURL(java.lang.String arg0, java.lang.String arg1) {
        LOG.info("Executing operation publishNewImageURL");
        System.out.println(arg0);
        System.out.println(arg1);
        try {
            boolean _return = false;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
    }

    /* (non-Javadoc)
     * @see eshopcxfservice.PropertySetter#publishNewPrice(java.lang.String arg0, double arg1)*
     */
    public boolean publishNewPrice(java.lang.String arg0, double arg1) {
        LOG.info("Executing operation publishNewPrice");
        System.out.println(arg0);
        System.out.println(arg1);
        try {
            boolean _return = true;
            return _return;
        } catch (java.lang.Exception ex) {
            ex.printStackTrace();
            throw new RuntimeException(ex);
        }
    }

}
